Update Ticket Assignee Status

Updates the status of an assigned or submitted ticket.

Required Permissions

Requires the MEMBER role or higher, and the account must be assigned as an assignee or approver of the ticket.

HTTP Request

PUT /api/sonar/tickets/:guid/assignee-status
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d type=ASSIGNEE \
     -d status=IN_PROGRESS \
     -X PUT \
     https://HOSTNAME/api/sonar/tickets/6206eb0e-fb44-4f13-82ca-d92454cfd35e/assignee-status
Request Parameters
KeyRequiredTypeDescriptionNote
guidOStringTicket GUID36 characters
typeOStringRole typeASSIGNEE or APPROVER
statusOStringTask statusFor an assignee: ASSIGNED or IN_PROGRESS or CLOSED. For an approver: APPROVED or REJECTED

Success Response

{}

Error Responses

Identifier is not in valid GUID format

HTTP status code 400

{
    "error_code": "invalid-param-type",
    "error_msg": "guid should be guid type."
}
Invalid assignee status

HTTP status code 400

{
    "error_code": "invalid-argument",
    "error_msg": "assignee status should be one of ASSIGNED, IN_PROGRESS, CLOSED."
}
Invalid approver status

HTTP status code 400

{
    "error_code": "invalid-argument",
    "error_msg": "approver status should be one of APPROVED, REJECTED."
}
Ticket is not found

HTTP status code 500

{
    "error_code": "illegal-state",
    "error_msg": "ticket not found: 201dc306-5ef7-4d4f-b872-1fa0f4d7dc57"
}
Ticket is not assigned
{
    "error_code": "illegal-state",
    "error_msg": "not assigned"
}
Approve or reject an unsubmitted ticket
{
    "error_code": "illegal-state",
    "error_msg": "cannot approve or reject unsubmitted ticket: 511ce7fe-36bd-45d8-a868-99a5349c3575"
}